image: ralfjung/opam-ci:opam2

stages:
  - build

variables:
  CPU_CORES: "10"

.template: &template
  stage: build
  tags:
  - fp
  script:
  - git clone https://gitlab.mpi-sws.org/iris/ci.git ci -b opam2
  - ci/buildjob
  cache:
    key: "$CI_JOB_NAME"
    paths:
    - opamroot/
  only:
  - master
  - /^ci/
  except:
  - triggers
  - schedules
  - api

## Build jobs

build-coq.dev:
  <<: *template
  variables:
    OPAM_PINS: "coq version dev"

build-coq.8.11.2:
  <<: *template
  variables:
    OPAM_PINS: "coq version 8.11.2"
    OPAM_PKG: "coq-lambda-rust"
  tags:
  - fp-timing

build-iris.dev:
  <<: *template
  variables:
    OPAM_PINS: "coq version 8.12.dev   coq-stdpp.dev git git+https://gitlab.mpi-sws.org/iris/stdpp.git#$STDPP_REV   coq-iris.dev git git+https://gitlab.mpi-sws.org/iris/iris.git#$IRIS_REV"
  except:
  only:
  - triggers
  - schedules
  - api
